# STM32C0116-DK Discovery board

## Overview

The STM32C0116-DK Discovery kit is a complete demonstration and development platform for STMicroelectronics Arm® Cortex®-M0+ core-based STM32C011F6 microcontroller, with 32 kbyte of flash memory and 6 Kbytes of SRAM.

This Discovery kit features one UFQFPN20 to DIL20 module and allows the user to develop and share applications.

ST-LINK/V2-1 is integrated into the board, as the embedded in-circuit debugger and programmer for the STM32 MCU and USB Virtual COM port bridge.

## Getting started

- [User manual](https://www.st.com/resource/en/user_manual/um2970-discovery-kit-with-stm32c011f6-mcu-stmicroelectronics.pdf)

### ST-LINK driver installation and firmware upgrade (on Microsoft Windows)

1. Download the latest [ST-LINK driver](https://www.st.com/en/development-tools/stsw-link009.html).
2. Extract the archive and run `dpinst_amd64.exe`. Follow the displayed instructions.
3. Download the latest [ST-LINK firmware upgrade](https://www.st.com/en/development-tools/stsw-link007.html).
4. Extract the archive and run the `ST-LinkUpgrade.exe` program.
5. Connect the board to your PC using a USB cable and wait until the USB enumeration is completed.
6. In the **ST-Link Upgrade** program, press the **Device Connect** button.
7. When the ST-LINK driver is correctly installed, the current ST-LINK version is displayed.
8. Press the **Yes >>>>** button to start the firmware upgrade process.

## Technical reference

- [STM32C011F6 microcontroller](https://www.st.com/en/microcontrollers-microprocessors/stm32c011f6.html)
- [STM32C0116-DK board](https://www.st.com/en/evaluation-tools/stm32c0116-dk.html)
- [User manual](https://www.st.com/resource/en/user_manual/um2970-discovery-kit-with-stm32c011f6-mcu-stmicroelectronics.pdf)
- [Data brief](https://www.st.com/resource/en/data_brief/stm32c0116-dk.pdf)
- [Schematic](https://www.st.com/resource/en/schematic_pack/mb1684-c011f6-b01-schematic.pdf)
